package com.ssj.bean.sys.jxy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Entity
@Table(name = "tb_jxy_read_leady")
public class Jxy extends BaseEntity {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String isbn13;//图书编号
	private String name;//图书名
	private String title;//标题
	private String needTime;//预计阅读时间
	private String subTitle;//副标题
	private Date createTime;//创建时间
	private String qrCode;//副标题
	private String mp3Name; //
	private String libId; //所属图书馆 如果字段为空则应每个图书馆都拥有
	private List<JxyImg> imglist = new ArrayList<JxyImg>();
	public String getIsbn13() {
		return isbn13;
	}
	public void setIsbn13(String isbn13) {
		this.isbn13 = isbn13;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getNeedTime() {
		return needTime;
	}
	public void setNeedTime(String needTime) {
		this.needTime = needTime;
	}
	public String getSubTitle() {
		return subTitle;
	}
	public void setSubTitle(String subTitle) {
		this.subTitle = subTitle;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getQrCode() {
		return qrCode;
	}
	public void setQrCode(String qrCode) {
		this.qrCode = qrCode;
	}
	@OneToMany(cascade = { CascadeType.REFRESH}, fetch=FetchType.EAGER)
	@JoinColumn(name="leadyId",updatable =false,insertable =false)
	@OrderBy(" imgIndex ASC")
	public List<JxyImg> getImglist() {
		return imglist;
	}
	public void setImglist(List<JxyImg> imglist) {
		this.imglist = imglist;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	@Column(name="mp3_name")
	public String getMp3Name() {
		return mp3Name;
	}
	public void setMp3Name(String mp3Name) {
		this.mp3Name = mp3Name;
	}
	
	
}

